Subject: Re: [Oops] fib_trie with ip route add throw since 2.6.25

From: Patrick McHardy <[email-masked]>
Date: Mon, 07 Jul 2008 22:29:04 +0200

Ben Hutchings wrote:
> Stephen Hemminger wrote:
> [...]
>> Agreed, a little more explanation would be good
>>    * return values?? fn_trie_lookup is same as fn_hash_lookup
>>    * check_leaf use return value of fn_trie_lookup so it can warpout without conditional
>>    * this needs some comments.
> 
> It does, doesn't it?  I still don't know what the return values mean, but
> when William found this I stared at the diff and looked at the callers
> until I spotted what the functional change was. :-)

They are suppposed to mirror the fib_semantic_match return values
if I recall correctly.